.TH XMOUNT 1
.SH NAME
xmount \- device mounter for X
.SH SYNOPSIS
.B xmount
.SH DESCRIPTION
.B xmount 
is a comfortable mount utility for different devices for X window system.  
The window contains a number of buttons for mounting and unmounting 
a device. If the user presses one of the mount buttons 
.B xmount 
recognize the type of the filesystem on the selected device.
.B xmount 
knows the following filesystems:
.IP 
.B msdos 
\- MS-DOS filesystem
.IP
.B minix
\- minix filesystem
.IP
.B ext
\- extended filesystem
.IP
.B ext2
\- extended filesystem two
.IP
.B xiafs
\- xia filesystem
.IP
.B ISO 9660 / High Sierra
\- CD-ROM filesystem
.LP
If the device contains a known filesystem it is mounted to the directory which
is defined in the config file. After mounting a floppy successfully the label 
of the button is changed to 'umount'. The current mounting status (
.B unmounted
,
.B msdos
,
.B minix
,
.B ext
,
.B ext2
,
.B xiafs
,
.B iso9660
) is displayed in front of the button. Before unmounting a disk the 
filesystems super-block is written by a sync system call.

Errors and status messages are displayed in the status line of the window.

The program has to be executed with root permissions, so the set ID bit must
be set and the owner of the file must be root.

 (login as root)
 chown root.root /usr/X11/bin/xmount
 chmod +s /usr/X11/bin/xmount

The number of buttons and the devices which are available for mounting are 
described by a configuration file named "xmounttab". Usually this file
should be found in "/etc". A different location has to be specified
by the environment variable XMOUNTPATH. The maximal number of mountable
devices is 16.

The config file has the following format:

    #####################################################
    #
    # Config file for xmount (v1.0)
    #
    # name    device       directory   type    options

    Floppy0:  /dev/fd0     /mnt0       msdos   defaults  
    Floppy1:  /dev/fd1     /mnt1       msdos   defaults  

    Syquest:  /dev/sda4    /mnt2       ext2    ro,noexec 
    CD-ROM:   /dev/scd0    /cd-rom     iso9660 ro        

    Special:  /dev/secial  /special    special defaults  

The '#' sign marks the rest of a line as a comment. Empty lines are allowed. 
Each line has to contain exactly five entries: the name of the label, the
mountable device, the mounting directory, the filesystem type and the option
entry.
.SH ENVIRONMENT
XMOUNTPATH \- search path for xmounttab
.SH FILES
/etc/xmounttab \- config file for xmount
.br
/etc/mtab      \- mounted filesystem table
.SH "SEE ALSO"
mount(1), mount(2), umount(1), umount(2), sync(1), sync(2)
.SH AUTHOR
 Kidong Lee, kidong@nownuri.nowcom.co.kr      
 Thomas Uhl, uhl@fh-heilbronn.de

.SH COPYRIGHT
Copyright (C) 1996 by Kidong Lee, Thomas Uhl

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
